# AIS2D_HSequenceOfIO.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_AIS2D_HSequenceOfIO.hxx>`
`#include <AIS2D_SequenceOfIO.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_AIS2D_InteractiveObject.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_AIS2D_InteractiveObject
#define | Item_hxx <AIS2D_InteractiveObject.hxx>
#define | TheSequence AIS2D_SequenceOfIO
#define | TheSequence_hxx <AIS2D_SequenceOfIO.hxx>
#define | TCollection_HSequence AIS2D_HSequenceOfIO
#define | TCollection_HSequence_hxx <AIS2D_HSequenceOfIO.hxx>
#define | Handle_TCollection_HSequence Handle_AIS2D_HSequenceOfIO
#define | TCollection_HSequence_Type_() AIS2D_HSequenceOfIO_Type_()

## Functions

Handle_AIS2D_HSequenceOfIO | ShallowCopy (const Handle_AIS2D_HSequenceOfIO &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_AIS2D_HSequenceOfIO

#define Item Handle_AIS2D_InteractiveObject

#define Item_hxx <AIS2D_InteractiveObject.hxx>

#define TCollection_HSequence AIS2D_HSequenceOfIO

#define TCollection_HSequence_hxx <AIS2D_HSequenceOfIO.hxx>

#define TCollection_HSequence_Type_ | (

)

AIS2D_HSequenceOfIO_Type_()

#define TheSequence AIS2D_SequenceOfIO

#define TheSequence_hxx <AIS2D_SequenceOfIO.hxx>

## Function Documentation

Handle_AIS2D_HSequenceOfIO ShallowCopy | ( | const Handle_AIS2D_HSequenceOfIO & | me | ) | `[inline]`